Index: modules/uoa-user-management/trunk/src/main/resources/config/ldap.properties2
===================================================================
--- modules/uoa-user-management/trunk/src/main/resources/config/ldap.properties2	(revision 45066)
+++ modules/uoa-user-management/trunk/src/main/resources/config/ldap.properties2	(revision 45067)
@@ -1,5 +1,5 @@
-providerUrl=esperos.di.uoa.gr
-username=cn=admin,dc=openaire,dc=eu
-usersDN=ou=users,dc=openaire,dc=eu
-password=
-port=389
+services.validator.ldap.address = esperos.di.uoa.gr
+services.validator.ldap.username = cn=admin,dc=openaire,dc=eu
+services.validator.ldap.usersDN = ou=users,dc=openaire,dc=eu
+services.validator.ldap.password =
+services.validator.ldap.port = 389
Index: modules/uoa-user-management/trunk/src/main/webapp/WEB-INF/applicationContext.xml
===================================================================
--- modules/uoa-user-management/trunk/src/main/webapp/WEB-INF/applicationContext.xml	(nonexistent)
+++ modules/uoa-user-management/trunk/src/main/webapp/WEB-INF/applicationContext.xml	(revision 45067)
@@ -0,0 +1,33 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+       xmlns:context="http://www.springframework.org/schema/context"
+       xmlns="http://www.springframework.org/schema/beans"
+       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-4.0.xsd
+	http://www.springframework.org/schema/context
+		   http://www.springframework.org/schema/context/spring-context-4.0.xsd">
+
+    <!-- <import resource="classpath*:/eu/dnetlib/data/statsmanager/springContext-statsManager.xml"/> -->
+
+    <bean class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
+        <property name="order" value="2" />
+        <property name="ignoreUnresolvablePlaceholders" value="true" />
+        <property name="properties">
+            <bean class="eu.dnetlib.conf.WebappContextProperyFactory">
+                <property name="propertyFetcher">
+                    <bean class="eu.dnetlib.conf.PropertyFetcher" />
+                </property>
+            </bean>
+        </property>
+        <property name="locations">
+            <list>
+                <value>classpath*:/eu/**/applicationContext*.properties</value>
+                <value>classpath*:/eu/dnetlib/applicationContext-defaultProperties.properties</value>
+
+                <value>classpath*:/uoa-override.properties</value>
+                <value>classpath*:/dnet-override.properties</value>
+            </list>
+        </property>
+    </bean>
+
+</beans>
Index: modules/uoa-user-management/trunk/src/main/webapp/WEB-INF/log4j.properties
===================================================================
--- modules/uoa-user-management/trunk/src/main/webapp/WEB-INF/log4j.properties	(nonexistent)
+++ modules/uoa-user-management/trunk/src/main/webapp/WEB-INF/log4j.properties	(revision 45067)
@@ -0,0 +1,20 @@
+log4j.rootLogger = WARN, R
+
+log4j.logger.eu.dnetlib = DEBUG
+log4j.logger.org.springframework = INFO, S
+
+log4j.additivity.org.springframework = false
+
+log4j.appender.R=org.apache.log4j.RollingFileAppender
+log4j.appender.R.File=/var/log/dnet/user-management/user-management.log
+log4j.appender.R.MaxFileSize=10MB
+log4j.appender.R.MaxBackupIndex=10
+log4j.appender.R.layout=org.apache.log4j.PatternLayout
+log4j.appender.R.layout.ConversionPattern= %d %p %t [%c] - %m%n
+
+log4j.appender.S=org.apache.log4j.RollingFileAppender
+log4j.appender.S.File=//var/log/dnet/user-management/user-management-spring.log
+log4j.appender.S.MaxFileSize=10MB
+log4j.appender.S.MaxBackupIndex=10
+log4j.appender.S.layout=org.apache.log4j.PatternLayout
+log4j.appender.S.layout.ConversionPattern= %d %p %t [%c] - %m%n
\ No newline at end of file
Index: modules/uoa-user-management/trunk/src/main/webapp/WEB-INF/web.xml
===================================================================
--- modules/uoa-user-management/trunk/src/main/webapp/WEB-INF/web.xml	(revision 45066)
+++ modules/uoa-user-management/trunk/src/main/webapp/WEB-INF/web.xml	(revision 45067)
@@ -4,6 +4,24 @@
          xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_3_1.xsd"
          version="3.1">
 
+    <display-name>uoa-user-management</display-name>
+    <context-param>
+        <param-name>webAppRootKey</param-name>
+        <param-value>uoa-user-management</param-value>
+    </context-param>
+    <context-param>
+        <param-name>contextConfigLocation</param-name>
+        <param-value>/WEB-INF/applicationContext.xml</param-value>
+    </context-param>
+    <context-param>
+        <param-name>log4jConfigLocation</param-name>
+        <param-value>/WEB-INF/log4j.properties</param-value>
+    </context-param>
+    <context-param>
+        <param-name>contextConfigLocation</param-name>
+        <param-value>/WEB-INF/applicationContext.xml</param-value>
+    </context-param>
+
     <filter>
         <filter-name>CorsFilter</filter-name>
         <filter-class>org.apache.catalina.filters.CorsFilter</filter-class>
@@ -50,4 +68,9 @@
         <servlet-name>User API</servlet-name>
         <url-pattern>/api/*</url-pattern>
     </servlet-mapping>
+
+    <listener>
+        <listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
+    </listener>
+
 </web-app>
\ No newline at end of file