Index: modules/dnet-openaireplus-workflows/trunk/src/main/java/eu/dnetlib/msro/openaireplus/workflows/nodes/PrepareIISParamsV2.java
===================================================================
--- modules/dnet-openaireplus-workflows/trunk/src/main/java/eu/dnetlib/msro/openaireplus/workflows/nodes/PrepareIISParamsV2.java	(revision 46109)
+++ modules/dnet-openaireplus-workflows/trunk/src/main/java/eu/dnetlib/msro/openaireplus/workflows/nodes/PrepareIISParamsV2.java	(revision 46110)
@@ -51,7 +51,7 @@
 
 	private String islookupLocationParam = "import_islookup_service_location";
 
-	private String importProjectConceptsContextCSVParam = "import_project_concepts_context_csv";
+	private String importProjectConceptsContextCSVParam = "import_project_concepts_context_ids_csv";
 
 	private String importProjectConceptsContextCSV;
 
Index: modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/iis/iis-preprocessingV2.xml
===================================================================
--- modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/iis/iis-preprocessingV2.xml	(revision 46109)
+++ modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/iis/iis-preprocessingV2.xml	(revision 46110)
@@ -71,7 +71,7 @@
 					<PARAM required="true" type="string" name="oozieWfAppPath" managedBy="user">/tmp/integration/apps/preprocessing</PARAM>
 					<PARAM required="true" type="string" name="clusterName" managedBy="user" function="validValues(['IIS','DM'])">DM</PARAM>
 					<PARAM required="false" type="string" name="objectStoreBlacklistCSV" managedBy="user"></PARAM>
-					<PARAM required="true" type="string" name="importProjectConceptsContextCSVParam" managedBy="system">import_project_concepts_context_csv</PARAM>
+					<PARAM required="true" type="string" name="importProjectConceptsContextCSVParam" managedBy="system">import_project_concepts_context_ids_csv</PARAM>
 					<PARAM required="true" type="string" name="importProjectConceptsContextCSV" managedBy="user">fet-fp7,fet-h2020</PARAM>
 				</PARAMETERS>
 				<ARCS>
@@ -89,7 +89,7 @@
 							'import_content_object_store_location' : 'import_content_object_store_location',
 							'import_mdstore_service_location' : 'import_mdstore_service_location',
 							'import_islookup_service_location' : 'import_islookup_service_location', 
-							'import_project_concepts_context_csv' : 'import_project_concepts_context_csv',
+							'import_project_concepts_context_ids_csv' : 'import_project_concepts_context_ids_csv',
 							'import_dataset_mdstore_ids_csv' : 'import_dataset_mdstore_ids_csv',
 							'import_wos_mdstore_id' : 'import_wos_mdstore_id',
 							'import_database_service_location' : 'import_database_service_location',
Index: modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/iis/iis-mainV2.xml
===================================================================
--- modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/iis/iis-mainV2.xml	(revision 46109)
+++ modules/dnet-openaireplus-workflows/trunk/src/main/resources/eu/dnetlib/test/profiles/openaireplus/workflows/iis/iis-mainV2.xml	(revision 46110)
@@ -107,7 +107,7 @@
 					<PARAM required="true" type="string" name="importHbaseDumpLocation" managedBy="user"></PARAM>
 					<PARAM required="true" type="string" name="importHbaseDumpLocationParam" managedBy="system">import_hbase_dump_location</PARAM>
 					<PARAM required="false" type="string" name="objectStoreBlacklistCSV" managedBy="user"></PARAM>
-					<PARAM required="true" type="string" name="importProjectConceptsContextCSVParam" managedBy="system">import_project_concepts_context_csv</PARAM>
+					<PARAM required="true" type="string" name="importProjectConceptsContextCSVParam" managedBy="system">import_project_concepts_context_ids_csv</PARAM>
 					<PARAM required="true" type="string" name="importProjectConceptsContextCSV" managedBy="user">fet-fp7,fet-h2020</PARAM>
 				</PARAMETERS>
 				<ARCS>
@@ -137,7 +137,7 @@
 						'import_content_object_store_location' : 'import_content_object_store_location',
 						'import_mdstore_service_location' : 'import_mdstore_service_location',
 						'import_islookup_service_location' : 'import_islookup_service_location', 
-						'import_project_concepts_context_csv' : 'import_project_concepts_context_csv',
+						'import_project_concepts_context_ids_csv' : 'import_project_concepts_context_ids_csv',
 						'import_dataset_mdstore_ids_csv' : 'import_dataset_mdstore_ids_csv',
 
 						'export_action_set_id_matched_doc_organizations' : 'export_action_set_id_matched_doc_organizations',