Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchDownload.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchDownload.component.ts	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchDownload.component.ts	(revision 46413)
@@ -3,6 +3,7 @@
 import {AlertModal} from '../../utils/modal/alert';
 import {OpenaireProperties} from '../../utils/properties/openaireProperties';
 import {ReportsService} from '../../services/reports.service';
+import {ModalLoading} from '../../utils/modal/loading.component';
 
 @Component({
     selector: 'search-download',
@@ -10,7 +11,7 @@
     <div class= "searchDownload" *ngIf="totalResults > 0">
         <p class="uk-text-right" *ngIf="totalResults <= 10000">
             <!--a (click)="download()" href="{{downloadURLAPI}}{{type}}?format=csv&page=0&size={{totalResults}}{{csvParams}}" -->
-            <span class="clickable" (click)="downloadfile(downloadURLAPI+type+'?format=csv&page=0&size='+totalResults+csvParams,type='-report-'+totalResults)">
+            <span class="clickable" (click)="downloadfile(downloadURLAPI+type+'?format=csv&page=0&size='+totalResults+csvParams,type+'-report-'+totalResults)">
                 <span aria-hidden="true" class="glyphicon glyphicon-download"></span>
                 <span class="uk-icon-download"> Results (CSV)</span>
             </span>
@@ -17,7 +18,7 @@
         </p>
     </div>
     <!--modal-alert></modal-alert-->
-
+    <modal-loading></modal-loading>
     `
 })
 
@@ -29,6 +30,8 @@
     @Output() downloadClick  = new EventEmitter();
     private downloadURLAPI: string;
 
+    @ViewChild (ModalLoading) loading : ModalLoading ;
+
     constructor ( private _reportsService: ReportsService) {}
 
     ngOnInit() {
@@ -57,9 +60,34 @@
     }
     downloadfile(url:string,filename:string){
       console.log("Downloading file: "+ url);
-      this._reportsService.downloadCSVFile(url)
-          .subscribe(data => window.open(window.URL.createObjectURL(data),"reports.csv"),
-                      error => console.log("Error downloading the file."),
-                      () => console.log('Completed file download.'));
+      this.openLoading();
+      this.setMessageLoading("Downloading CSV file");
+
+      this._reportsService.downloadCSVFile(url).subscribe(
+          data => {
+              this.closeLoading();
+              window.open(window.URL.createObjectURL(data),filename+".csv")
+          },
+          error => console.log("Error downloading the file."),
+          () => console.log('Completed file download.')
+      );
+    }
+
+
+    public openLoading(){
+      if(this.loading){
+        this.loading.open();
       }
+    }
+    public closeLoading(){
+      if(this.loading){
+        this.loading.close();
+      }
+    }
+    public setMessageLoading(message: string){
+      if(this.loading){
+        this.loading.message = message;
+      }
+    }
+
 }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchPage.component.ts	(revision 46413)
@@ -43,9 +43,7 @@
               <search-paging [type]="type" [(searchUtils)] = "searchUtils"  [(results)] = "results"  [(baseUrl)] = "baseUrl" [(parameterNames)] = "parameterNames" [(parameterValues)] = "parameterValues" ></search-paging>
               <search-download [type]="csvPath" [csvParams]="csvParams" [totalResults]="searchUtils.totalResults" (downloadClick)="downloadClicked($event)"></search-download>
               <search-result    [results]="results"
-                                [totalResults]="searchUtils.totalResults"
                                 [status]=searchUtils.status
-                                [page]="searchUtils.page"
                                 [type]="entityType" [urlParam]="urlParam">
               </search-result>
             </div>
@@ -58,9 +56,7 @@
             <search-paging [type]="type" [(searchUtils)] = "searchUtils"  [(results)] = "results"   [(baseUrl)] = "baseUrl"  [(parameterNames)] = "parameterNames" [(parameterValues)] = "parameterValues"></search-paging>
             <search-download [type]="csvPath" [csvParams]="csvParams" [totalResults]="searchUtils.totalResults" (downloadClick)="downloadClicked($event)"></search-download>
             <search-result  [results]="results"
-                            [totalResults]="searchUtils.totalResults"
                             [status]=searchUtils.status
-                            [page]="searchUtils.page"
                             [type]="entityType" [urlParam]="urlParam">
             </search-result>
         </div>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchResult.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchResult.component.ts	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchResult.component.ts	(revision 46413)
@@ -17,26 +17,14 @@
                 <!--a href="{{result['title'].url}}"-->
                 <!--a [queryParams]="{articleId: 'od_______908::3a5b2885656a91307156325644e73b92'}" routerLinkActive="router-link-active" routerLink="search/publication"-->
 
-                <a *ngIf="lazy=='true'" [queryParams]="routerHelper.createQueryParam(urlParam,result.id)" routerLinkActive="router-link-active" routerLink="/search/{{type}}">
+                <a href="/search/{{type}}?{{urlParam}}={{result.id}}">
                     <p *ngIf="result['title'].name != undefined && result['title'].name != ''"
                         [innerHTML]="result['title'].name">
                     </p>
-                    <!--p *ngIf="result['title'].name == undefined || result['title'].name == ''">
-                        {{result['title'].url}}
-                    </p-->
                     <p *ngIf="result['title'].name == undefined || result['title'].name == ''">
                         [no title available]
                     </p>
                 </a>
-
-                <a *ngIf="lazy=='false'" href="/search/{{type}}?{{urlParam}}={{result.id}}">
-                    <p *ngIf="result['title'].name != undefined && result['title'].name != ''"
-                        [innerHTML]="result['title'].name">
-                    </p>
-                    <p *ngIf="result['title'].name == undefined || result['title'].name == ''">
-                        [no title available]
-                    </p>
-                </a>
             </h4>
 
             <div>
@@ -142,14 +130,11 @@
 })
 
 export class SearchResultComponent {
-    @Input() page: number;
-    @Input() totalResults: number;
     @Input() results: SearchResult[];
     @Input() status: number;
     @Input() type: string;
     @Input() urlParam: string;
     @Input() showLoading: boolean = false;
-    @Input() lazy: string = "true";
 
     public errorCodes:ErrorCodes = new ErrorCodes();
     public routerHelper:RouterHelper = new RouterHelper();
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchDownload.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchDownload.module.ts	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchDownload.module.ts	(revision 46413)
@@ -3,10 +3,11 @@
 import { FormsModule }         from '@angular/forms';
 
 import {SearchDownloadComponent} from './searchDownload.component';
+import{LoadingModalModule} from '../../utils/modal/loadingModal.module';
 
 @NgModule({
   imports: [
-    CommonModule, FormsModule
+    CommonModule, FormsModule, LoadingModalModule
   ],
   declarations: [
     SearchDownloadComponent
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/advancedSearchPage.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/advancedSearchPage.component.ts	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/advancedSearchPage.component.ts	(revision 46413)
@@ -32,7 +32,6 @@
                     <div>
                         <search-result  [results]="results"
                                         [status]=searchUtils.status
-                                        [page]="searchUtils.page"
                                         [type]="entityType" [urlParam]="urlParam">
                         </search-result>
                     </div>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/searchingProjectsInTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/searchingProjectsInTab.component.ts	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/searchingProjectsInTab.component.ts	(revision 46413)
@@ -45,9 +45,9 @@
               <li></li>
             </ul>
 
-            <search-result  [(results)]="fetchProjects.results" [(status)]= "fetchProjects.searchUtils.status"
+            <tab-result  [(results)]="fetchProjects.results" [(status)]= "fetchProjects.searchUtils.status"
                             type="project" urlParam="projectId" showLoading = true>
-            </search-result>
+            </tab-result>
         </div>
     `
 })
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasetsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasetsTab.component.ts	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasetsTab.component.ts	(revision 46413)
@@ -22,10 +22,10 @@
                     View all {{fetchDatasets.searchUtils.totalResults}} results
                 </a>
             </div>
-            <search-result  [(results)]="fetchDatasets.results"
+            <tab-result  [(results)]="fetchDatasets.results"
                             [(status)]= "fetchDatasets.searchUtils.status"
                             type="dataset" urlParam="datasetId">
-            </search-result>
+            </tab-result>
         </div>
     `
 })
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/projectsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/projectsTab.component.ts	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/projectsTab.component.ts	(revision 46413)
@@ -23,10 +23,10 @@
                     View all {{fetchProjects.searchUtils.totalResults}} results
                 </a>
             </div>
-            <search-result  [(results)]="fetchProjects.results"
+            <tab-result  [(results)]="fetchProjects.results"
                             [(status)]= "fetchProjects.status"
                             type="project" urlParam="projectId">
-            </search-result>
+            </tab-result>
         </div>
     `
 })
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/publicationsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/publicationsTab.component.ts	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/publicationsTab.component.ts	(revision 46413)
@@ -25,10 +25,10 @@
                     View all {{fetchPublications.searchUtils.totalResults}} results
                 </a>
             </div>
-            <search-result  [(results)]="fetchPublications.results"
+            <tab-result  [(results)]="fetchPublications.results"
                             [(status)]= "fetchPublications.status"
                             type="publication" urlParam="articleId">
-            </search-result>
+            </tab-result>
         </div>
     `
 })
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasourcesTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasourcesTab.component.ts	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasourcesTab.component.ts	(revision 46413)
@@ -22,11 +22,11 @@
                     View all {{fetchDataproviders.searchUtils.totalResults}} results
                 </a>
             </div>
-            <search-result  [(results)]="fetchDataproviders.results"
+            <tab-result  [(results)]="fetchDataproviders.results"
                             [(status)]= "fetchDataproviders.status"
                             type="dataprovider" urlParam="datasourceId"
                             lazy=false>
-            </search-result>
+            </tab-result>
         </div>
     `
 })
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.module.ts	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.module.ts	(revision 46413)
@@ -5,7 +5,7 @@
 
 import {IFrameModule} from '../../utils/iframe.module';
 // import { ResultLandingModule } from '../resultLanding.module';
-import {SearchResultsModule } from '../../searchPages/searchUtils/searchResults.module';
+import {TabResultModule } from '../../searchPages/searchUtils/tabResult.module';
 import {MetricsModule} from '../metrics.module';
 import { LandingModule } from '../landing.module';
 
@@ -33,7 +33,7 @@
   imports: [
     CommonModule, FormsModule, RouterModule,
     DataProviderRoutingModule,
-    SearchResultsModule, IFrameModule, MetricsModule, LandingModule, DataProvidersServiceModule, DatasetsServiceModule, ProjectsServiceModule, PublicationsServiceModule
+    TabResultModule, IFrameModule, MetricsModule, LandingModule, DataProvidersServiceModule, DatasetsServiceModule, ProjectsServiceModule, PublicationsServiceModule
 
   ],
   declarations: [
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/searchingProjectsInTab.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/searchingProjectsInTab.module.ts	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/searchingProjectsInTab.module.ts	(revision 46413)
@@ -6,7 +6,7 @@
 import { RouterModule }       from '@angular/router';
 
 import { ProjectsServiceModule} from '../services/projectsService.module';
-import {SearchResultsModule } from '../searchPages/searchUtils/searchResults.module';
+import { TabResultModule } from '../searchPages/searchUtils/tabResult.module';
 import { SearchingProjectsTabComponent} from './searchingProjectsInTab.component';
 
 import {PagingModule } from '../utils/paging.module';
@@ -15,7 +15,7 @@
 @NgModule({
   imports: [
       RouterModule, CommonModule, FormsModule,
-      ProjectsServiceModule, SearchResultsModule, PagingModule
+      ProjectsServiceModule, TabResultModule, PagingModule
    ],
   declarations: [
      SearchingProjectsTabComponent
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.html
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.html	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.html	(revision 46413)
@@ -136,10 +136,10 @@
                                 View all {{fetchDataproviders.searchUtils.totalResults}} results
                             </a>
                         </div>
-                        <search-result  [(results)]="fetchDataproviders.results"
+                        <tab-result  [(results)]="fetchDataproviders.results"
                                         [(status)]= "fetchDataproviders.status"
                                         type="dataprovider" urlParam="datasourceId">
-                        </search-result>
+                        </tab-result>
                     </div>
                 </li>
                 <!--li id="metricsTab">
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.module.ts	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.module.ts	(revision 46413)
@@ -12,7 +12,7 @@
 import { OrganizationRoutingModule } from './organization-routing.module';
 
 import { LandingModule } from '../landing.module';
-import {SearchResultsModule } from '../../searchPages/searchUtils/searchResults.module';
+import {TabResultModule } from '../../searchPages/searchUtils/tabResult.module';
 import {DataProvidersServiceModule} from '../../services/dataProvidersService.module';
 import {ReportsServiceModule} from '../../services/reportsService.module';
 import {PublicationsServiceModule} from '../../services/publicationsService.module';
@@ -26,7 +26,7 @@
     LoadingModalModule, AlertModalModule,
     LandingModule,
     OrganizationRoutingModule,
-    SearchResultsModule,
+    TabResultModule,
     DataProvidersServiceModule,
     ReportsServiceModule,
     OrganizationServiceModule,
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.module.ts	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.module.ts	(revision 46413)
@@ -15,7 +15,7 @@
 import {ReportsServiceModule} from '../../services/reportsService.module';
 import {PublicationsServiceModule} from '../../services/publicationsService.module';
 import {DatasetsServiceModule} from '../../services/datasetsService.module';
-import {SearchResultsModule } from '../../searchPages/searchUtils/searchResults.module';
+import {TabResultModule } from '../../searchPages/searchUtils/tabResult.module';
 import { LandingModule } from '../landing.module';
 
 @NgModule({
@@ -22,7 +22,7 @@
   imports: [
     CommonModule, FormsModule, RouterModule, LandingModule,
      ProjectRoutingModule, LoadingModalModule,
-     SearchResultsModule, IFrameModule, MetricsModule, ReportsServiceModule, PublicationsServiceModule, DatasetsServiceModule, ProjectServiceModule
+     TabResultModule, IFrameModule, MetricsModule, ReportsServiceModule, PublicationsServiceModule, DatasetsServiceModule, ProjectServiceModule
   ],
   declarations: [
   ProjectComponent
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.component.html
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.component.html	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.component.html	(revision 46413)
@@ -108,10 +108,10 @@
                                 View all {{fetchPublications.searchUtils.totalResults}} results
                             </a>
                         </div>
-                        <search-result  [(results)]="fetchPublications.results"
+                        <tab-result  [(results)]="fetchPublications.results"
                                         [(status)]= "fetchPublications.searchUtils.status"
                                         type="publication" urlParam="articleId">
-                        </search-result>
+                        </tab-result>
                     </div>
                 </li>
 
@@ -132,10 +132,10 @@
                                 View all {{fetchDatasets.searchUtils.totalResults}} results
                             </a>
                         </div>
-                        <search-result  [(results)]="fetchDatasets.results"
+                        <tab-result  [(results)]="fetchDatasets.results"
                                         [(status)]= "fetchDatasets.searchUtils.status"
                                         type="dataset" urlParam="datasetId">
-                        </search-result>
+                        </tab-result>
                     </div>
                 </li>
                 <li class="uk-animation-fade">
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/person/person.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/person/person.module.ts	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/person/person.module.ts	(revision 46413)
@@ -8,7 +8,7 @@
 import { PersonRoutingModule } from './person-routing.module';
 
 import { LandingModule } from '../landing.module';
-import {SearchResultsModule } from '../../searchPages/searchUtils/searchResults.module';
+import {TabResultModule } from '../../searchPages/searchUtils/tabResult.module';
 import {DatasetsServiceModule} from '../../services/datasetsService.module';
 import {PublicationsServiceModule} from '../../services/publicationsService.module';
 
@@ -17,7 +17,7 @@
     CommonModule, FormsModule, RouterModule,
     LandingModule,
     PersonRoutingModule,
-    SearchResultsModule,
+    TabResultModule,
     DatasetsServiceModule, PublicationsServiceModule
   ],
   declarations: [
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/person/person.component.html
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/person/person.component.html	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/person/person.component.html	(revision 46413)
@@ -53,10 +53,11 @@
                                 View all {{fetchPublications.searchUtils.totalResults}} results
                             </a>
                         </div>
-                        <search-result  [(results)]="fetchPublications.results"
-                                        [(status)]= "fetchPublications.searchUtils.status"
-                                        type="publication" urlParam="articleId">
-                        </search-result>
+                        <tab-result [(results)]="fetchPublications.results"
+                                    [(status)]= "fetchPublications.searchUtils.status"
+                                    type="publication" urlParam="articleId"
+                                    from="person">
+                        </tab-result>
                     </div>
                 </li>
 
@@ -77,10 +78,11 @@
                                 View all {{fetchDatasets.searchUtils.totalResults}} results
                             </a>
                         </div>
-                        <search-result  [(results)]="fetchDatasets.results"
-                                        [(status)]= "fetchDatasets.status"
-                                        type="dataset" urlParam="datasetId">
-                        </search-result>
+                        <tab-result [(results)]="fetchDatasets.results"
+                                    [(status)]= "fetchDatasets.status"
+                                    type="dataset" urlParam="datasetId"
+                                    from="person">
+                        </tab-result>
                     </div>
                 </li>
             </ul>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.service.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.service.ts	(revision 46412)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.service.ts	(revision 46413)
@@ -255,7 +255,9 @@
                         if(relation.country) {
                             organization.country = relation.country.classname;
                         }
-                        organization.trust = Math.round(relation.trust*100)+"%";
+                        if(relation.trust) {
+                            organization.trust = Math.round(relation.trust*100)+"%";
+                        }
 
                         this.publicationInfo.organizations.push(organization);
                     }