Index: modules/uoa-services-portal/trunk/portal-2/src/app/utils/properties/openaireProperties.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/utils/properties/openaireProperties.ts	(revision 47003)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/utils/properties/openaireProperties.ts	(revision 47004)
@@ -34,20 +34,20 @@
     private static loginAPIURL = "http://mpagasas.di.uoa.gr:8080/uoa-user-management-1.0.0-SNAPSHOT/api/users/authenticates";
 
     // public claimsAPIURL      = "http://rudie.di.uoa.gr:8080/dnet-openaire-connector-service-1.0.0-SNAPSHOT/rest/claimsService/"
-    private static claimsAPIURL = "http://scoobydoo.di.uoa.gr:8080/dnet-openaire-connector-service-1.0.0-SNAPSHOT/rest/claimsService/";
+    private static claimsAPIURL = "https://scoobydoo.di.uoa.gr:8443/dnet-openaire-connector-service-1.0.0-SNAPSHOT/rest/claimsService/";
 
-    // private static searchAPIURL = " http://beta.services.openaire.eu/search/v2/api/";
+    // private static searchAPIURL = " https://beta.services.openaire.eu/search/v2/api/";
     // private searchAPIURL     = "http://beta.services.openaire.eu/search/v2.0/api/";
-    private static searchAPIURL     = "http://beta.services.openaire.eu/search/v2/api/";
+    private static searchAPIURL     = "https://beta.services.openaire.eu/search/v2/api/";
     //"http://scoobydoo.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/";
 
-    // private static searchAPIURLLAst     = " http://beta.services.openaire.eu/search/v2/api/";
-    private static searchAPIURLLAst     = "http://beta.services.openaire.eu/search/v2/api/";
+    // private static searchAPIURLLAst     = " https://beta.services.openaire.eu/search/v2/api/";
+    private static searchAPIURLLAst     = "https://beta.services.openaire.eu/search/v2/api/";
     //private static searchAPIURLLAst = "http://scoobydoo.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/";
     //private static searchAPIURLLAst = "http://rudie.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/rest/v2/api/";
 
-    // private static searchResourcesAPIURL     = " http://beta.services.openaire.eu/search/v2/api/resources";
-    private static searchResourcesAPIURL     = "http://beta.services.openaire.eu/search/v2/api/resources";
+    // private static searchResourcesAPIURL     = " https://beta.services.openaire.eu/search/v2/api/resources";
+    private static searchResourcesAPIURL     = "https://beta.services.openaire.eu/search/v2/api/resources";
 
     //private static searchServiveURL     = "http://astero.di.uoa.gr:8080/dnet-functionality-services-2.0.0-SNAPSHOT/";
     private static searchServiveURL  = "http://beta.services.openaire.eu:8480/search/rest/";
@@ -54,7 +54,7 @@
     // private static searchServiveURL  = "http://services.openaire.eu:8380/search/";
     // private static searchServiveURL   = "http://beta.services.openaire.eu:8480/search/";
 
-    private static csvAPIURL = "http://beta.services.openaire.eu/search/v2/api/";//publications?format=csv
+    private static csvAPIURL = "https://beta.services.openaire.eu/search/v2/api/";//publications?format=csv
 
     private static searchCrossrefAPIURL = "http://api.crossref.org/works";
     private static searchDataciteAPIURL = "https://search.datacite.org/api";
@@ -62,7 +62,7 @@
 
     // Identifiers
     private static pmidURL    = "http://www.ncbi.nlm.nih.gov/pubmed/";
-    private static doiURL     = "http://dx.doi.org/";
+    private static doiURL     = "https://dx.doi.org/";
     private static cordisURL  = "http://cordis.europa.eu/projects/";
     private static pmcURL     = "http://europepmc.org/articles/";
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/claim-utils/service/claims.service.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/claim-utils/service/claims.service.ts	(revision 47003)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/claim-utils/service/claims.service.ts	(revision 47004)
@@ -112,7 +112,19 @@
                           .catch(this.handleError);
 
     }
+    insertDirectRecords(records,token:string):any{
+      console.warn('Trying to feedrecords  : '+records);
+      let url = this.baseUrl +"feed/bulk"+"?token="+token;
+      let body = JSON.stringify( records );
+      console.warn('Json body:  : '+body);
+      let headers = new Headers({ 'Content-Type': 'application/json' });
+      let options = new RequestOptions({ headers: headers });
+      return this.http.post(url, body, options)
+                            .map(res => res.json())
+                            .do(request => console.info("Insert Response:"+request.status) )
+                            .catch(this.handleError);
 
+      }
   private handleError (error: Response) {
     // in a real world app, we may send the error to some remote logging infrastructure
     // instead of just logging it to the console
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/linking/insertClaim/insertClaim.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/linking/insertClaim/insertClaim.component.ts	(revision 47003)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/linking/insertClaim/insertClaim.component.ts	(revision 47004)
@@ -54,6 +54,11 @@
   public claims:number = 0;
   public errorclaims:number = 0;
 
+  private servicesRespond:number = 0;
+  private insertedClaims=[];
+  private errorInClaims=[];
+  private insertedRecords=[];
+  private errorInRecords=[];
 public validateInsertions(){
   // console.info("Inlineentity:" +(this.inlineEntity)?this.inlineEntity+(this.inlineEntity.id)?this.inlineEntity.id:"no id":"null"+ + " show "+ (!this.claiming  && this.showButton) );
     if(this.validate()){
@@ -65,6 +70,11 @@
     return
 }
 private insert(){
+  this.servicesRespond = 0;
+   this.insertedClaims=[];
+   this.errorInClaims=[];
+  this.insertedRecords=[];
+  this.errorInRecords=[];
   if(!Session.isValidAndRemove()){
     this.showButton = false;
     localStorage.setItem("projects", JSON.stringify(this.projects));
@@ -89,7 +99,7 @@
       for (var i = 0; i < this.results.length; i++) {
           var result=this.results[i];
           if(["crossref","datacite","orcid"].indexOf(result.source) != -1){
-            directclaims.push(this.createDirectClaim(result,this.projects,this.contexts));
+            directclaims.push({"id":result.id, "record":this.createDirectClaim(result,this.projects,this.contexts)});
           }
           if(this.contexts){
             for (var j = 0; j < this.contexts.length; j++) {
@@ -112,39 +122,58 @@
 
       }
     }
-    var created =[];
-    var failed =[];
+    // var created =[];
+    // var failed =[];
     console.info("\n\ndirectclaims: "+directclaims.length+"\n\n");
-    for(var i = 0; i<directclaims.length; i++){
-      // console.info("\n\ntry to direct  insert: "+JSON.stringify(directclaims[i])+"\n\n");
+    // for(var i = 0; i<directclaims.length; i++){
+    //   // console.info("\n\ntry to direct  insert: "+JSON.stringify(directclaims[i])+"\n\n");
+    //
+    //   this.directIndexClaimService.directClaim(directclaims[i]).subscribe(
+    //     data => {
+    //                   console.log("AAA" + data);
+    //                   created.push(directclaims[i].originalId)
+    //     },
+    //     err =>  {
+    //       console.log(err);
+    //         failed.push(directclaims[i].originalId)
+    //         if(failed.length + created.length == directclaims.length){
+    //           console.log("failed:"+failed);
+    //           console.log("created:"+created);
+    //
+    //         }
+    //     }
+    //   );
+    // }
 
-      this.directIndexClaimService.directClaim(directclaims[i]).subscribe(
-        data => {
-                      console.log("AAA" + data);
-                      created.push(directclaims[i].originalId)
-        },
-        err =>  {
-          console.log(err);
-            failed.push(directclaims[i].originalId)
-            if(failed.length + created.length == directclaims.length){
-              console.log("failed:"+failed);
-              console.log("created:"+created);
+    this.claimService.insertDirectRecords(directclaims,token).subscribe(
+      data => {
+        this.insertedRecords = data.insertedIds;
 
-            }
-        }
-      );
-    }
+          this.errorInRecords = data.insertedIds;
+          this.afterclaimsInsertion();
+      },
+      err =>  {
+        console.log(err);
+        this.insertedRecords = err.insertedIds;
+
+          this.errorInRecords = err.insertedIds;
+        this.errorsInClaimsInsertion();
+      }
+    );
     console.info("try to insert "+claims.length+" claims");
     this.claimService.insertBulkClaims(claims,token).subscribe(
       data => {
-        var inserted = data.insertedIds.length;
+      this.insertedClaims = data.insertedIds;
 
-        var inserted = data.insertedIds.length;
-        this.afterclaimsInsertion(data.insertedIds,data.errorInClaims);
+        this.errorclaims = data.insertedIds;
+        this.afterclaimsInsertion();
       },
       err =>  {
         console.log(err);
-        this.errorsInClaimsInsertion(err.insertedIds,err.errorInClaims);
+        this.insertedClaims = err.insertedIds;
+
+          this.errorclaims = err.insertedIds;
+        this.errorsInClaimsInsertion();
       }
     );
   }
@@ -201,28 +230,50 @@
 
  return true;
 }
-private afterclaimsInsertion(insertedIds, errorInClaims){
-  this.loading.close();
-  this.claiming = false;
-  if(errorInClaims.length == 0 && insertedIds.length > 0 ){
-    // if(this.inline){
-    //   this.show = "end";
-    // }else{
-      this._router.navigate( ['/myclaims'] );
-    // }
-    this.showChange.emit({
-      value: this.show
-    });
-  }else{
-    this.errorsInClaimsInsertion(insertedIds, errorInClaims);
+private afterclaimsInsertion(){
+  this.servicesRespond++;
+  if(this.servicesRespond == 2){
+    this.loading.close();
+    this.claiming = false;
+    if(this.errorInClaims.length == 0 && this.insertedClaims.length > 0  && this.errorInRecords.length == 0){
+      // if(this.inline){
+      //   this.show = "end";
+      // }else{
+        this._router.navigate( ['/myclaims'] );
+      // }
+      this.showChange.emit({
+        value: this.show
+      });
+    }else{
+      this.errorsInClaimsInsertion();
+    }
   }
 }
-private errorsInClaimsInsertion(insertedIds, errorInClaims){
+private errorsInClaimsInsertion(){
   this.errorMessage = "An Error Occured.";
   this.loading.close();
   this.error =  true;
   this.claiming = false;
   this.showButton = true;
+  var text =""
+  if(this.errorInRecords.length>0){
+    text+="The following records couldn't automatically inserted to the Openaire Info space: <br>";
+    for(var i=0; i< this.errorInRecords.length ; i++){
+      for(var k=0; k< this.results.length ; k++){
+        if(this.results[k].id == this.errorInRecords[i]){
+          text+=""+this.results[i].title+" url:"+this.results[i].url+" from "+this.results[i].source;
+        }
+      }
+    }
+
+  }
+  if(this.errorsInClaimsInsertion.length > 0){
+    text+="The following couldn't be saved: <br>";
+    for(var i=0; i< this.errorsInClaimsInsertion.length ; i++){
+      text+="The following couldn't be saved: <br>";
+
+    }
+  }
   //   if(this.inline){
   //     this.show = "error";
   //     this.showChange.emit({
@@ -306,7 +357,7 @@
   }
   var json = JSON.stringify(entity);
   console.log("\nJSON:\n"+json);
-  return json;
+  return entity;
 
 /*
 {
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.component.html
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.component.html	(revision 47003)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.component.html	(revision 47004)
@@ -39,7 +39,7 @@
 
             <div class="uk-clearfix uk-margin-top uk-margin-bottom">
 
-              <!--a  class="uk-float-right uk-button" [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','result'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <i class="uk-icon-link"></i> Links to research Results</a-->
+              <a  class="uk-float-right uk-button" [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','result'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <i class="uk-icon-link"></i> Links to research Results</a>
             </div>
             <ul class="uk-tab" data-uk-switcher="{connect:'#tab-content'}">
                 <li class="uk-active">
@@ -198,7 +198,7 @@
                                 </span>
                             </div>
                         </dd>
-                        <!--dd><a [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[datasetId,'dataset','project'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <i class="uk-icon-link"></i> Add links to projects</a></dd-->
+                        <dd><a [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[datasetId,'dataset','project'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <i class="uk-icon-link"></i> Add links to projects</a></dd>
                         <dd *ngIf="showAllFundedBy" class="uk-text-right">
                             <a class="uk-text-muted" (click)="showAllFundedBy = !showAllFundedBy;">
                                 View less
@@ -228,7 +228,7 @@
                             <span *ngIf="item['labelConcept'] != null">: {{item['labelConcept']}}</span>
                           </mark>
                         </dd>
-                        <!--dd><a [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[datasetId,'dataset','context'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <i class="uk-icon-link"></i> Add links to contexts</a></dd-->
+                        <dd><a [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[datasetId,'dataset','context'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <i class="uk-icon-link"></i> Add links to contexts</a></dd>
                     </dl>
 
                 </li>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.component.html
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.component.html	(revision 47003)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.component.html	(revision 47004)
@@ -221,11 +221,11 @@
                         <span>{{projectInfo.funder}} progress report (CSV)</span>
                     </span>
                 </li>
-                <!--li>
+                <li>
                     <a [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[projectId,'project','result'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <i class="uk-icon-link"></i>
                         Link to research results
                     </a>
-                </li-->
+                </li>
                 <li>
                     <a  routerLinkActive="router-link-active" routerLink="/participate/deposit-publications">
                         Deposit Publications
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.component.html
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.component.html	(revision 47003)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/publication/publication.component.html	(revision 47004)
@@ -55,10 +55,10 @@
                 <div class="uk-text-justify">{{publicationInfo.description}}</div>
             </blockquote>
 
-            <!--div class="uk-clearfix uk-margin-top uk-margin-bottom">
+            <div class="uk-clearfix uk-margin-top uk-margin-bottom">
 
               <a  class="uk-float-right uk-button" [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','result'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <i class="uk-icon-link"></i> Links to research Results</a>
-            </div-->
+            </div>
 
             <ul class="uk-tab" data-uk-switcher="{connect: '#tab-content'}">
                 <li class="uk-active">
@@ -470,7 +470,7 @@
                                 View more
                             </a>
                         </dd>
-                        <!--dd><a [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','project'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <i class="uk-icon-link"></i> Add links to projects</a></dd-->
+                        <dd><a [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','project'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <i class="uk-icon-link"></i> Add links to projects</a></dd>
                     </dl>
                 </li>
 
@@ -489,7 +489,7 @@
                             <span *ngIf="item['labelConcept'] != null">: {{item['labelConcept']}}</span>
                           </mark>
                         </dd>
-                        <!--dd><a [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','context'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <i class="uk-icon-link"></i> Add links to contexts</a></dd-->
+                        <dd><a [queryParams]="routerHelper.createQueryParams(['id','type','linkTo'],[articleId,'publication','context'])"   routerLinkActive="router-link-active" routerLink="/participate/direct-claim" > <i class="uk-icon-link"></i> Add links to contexts</a></dd>
                     </dl>
 
                 </li>