Index: modules/dnet-openaire-usage-stats-api/src/main/java/eu/dnetlib/usagestats/controllers/SushiLiteController.java
===================================================================
--- modules/dnet-openaire-usage-stats-api/src/main/java/eu/dnetlib/usagestats/controllers/SushiLiteController.java	(revision 47126)
+++ modules/dnet-openaire-usage-stats-api/src/main/java/eu/dnetlib/usagestats/controllers/SushiLiteController.java	(revision 47127)
@@ -319,7 +319,7 @@
                                            @RequestParam(value = "hasDOI", defaultValue = "") String hasDoi, @RequestParam(value = "Granularity", defaultValue = "Monthly") String granularity, @RequestParam(value = "Callback", defaultValue = "") String callback,
                                            @RequestParam(value = "Pretty", defaultValue = "") String pretty) throws Exception {
         ObjectMapper objectMapper = new ObjectMapper();
-        if(pretty.toLowerCase().equals("pretty")){
+        if (pretty.equalsIgnoreCase("pretty")){
             //objectMapper.enable(SerializationFeature.INDENT_OUTPUT);
             return "<pre>" + objectMapper.writerWithDefaultPrettyPrinter().writeValueAsString(report.getReport(reportP, release, requestorId, beginDate, endDate, repositoryIdentifier, itemIdentifier, itemDataType, hasDoi, granularity, callback)).replaceAll("/","\\\\/") + "</pre>";
         }
Index: modules/dnet-openaire-usage-stats-api/src/main/java/eu/dnetlib/usagestats/sushilite/UsageReport.java
===================================================================
--- modules/dnet-openaire-usage-stats-api/src/main/java/eu/dnetlib/usagestats/sushilite/UsageReport.java	(revision 47126)
+++ modules/dnet-openaire-usage-stats-api/src/main/java/eu/dnetlib/usagestats/sushilite/UsageReport.java	(revision 47127)
@@ -22,7 +22,7 @@
         List<ReportItem> reportItems = new ArrayList<>();
         List<ReportException> reportExceptions = new ArrayList<>();
 
-        if(!granularity.toLowerCase().equals("totals") && !granularity.toLowerCase().equals("monthly")){
+        if(!granularity.equalsIgnoreCase("totals") && !granularity.equalsIgnoreCase("monthly")){
             reportExceptions.add(new ReportException("3062", "Warning", "Invalid ReportAttribute Value", "Granularity: \'" + granularity + "\' unknown. Defaulting to Monthly"));
             granularity = "Monthly";
         }
@@ -99,13 +99,13 @@
                     itemid = "-1";
             }
         }
-        if (itemid.equals("") && repoid.equals("") && !reportName.toLowerCase().equals("rr1")){
+        if (itemid.equals("") && repoid.equals("") && !reportName.equalsIgnoreCase("rr1")){
             reportExceptions.add(new ReportException("3070", "Error", "Required Filter Missing", "ItemIdentifier or RepositoryIdentifier must be supplied"));
         }
-        if(reportName.toLowerCase().equals("ar1")) {
+        if(reportName.equalsIgnoreCase("ar1")) {
             if (!itemid.equals("-1") && !repoid.equals("-1") && beginDateParsed != null && endDateParsed != null && beginDateParsed.before(endDateParsed)) {
                 if (!itemid.equals("")) {
-                    if(itemDataType.toLowerCase().equals("") || itemDataType.toLowerCase().equals("article")) {
+                    if(itemDataType.toLowerCase().equals("") || itemDataType.equalsIgnoreCase("article")) {
                         executeItem(reportItems, itemIdentifier, repoid, "Article", beginDateParsed, endDateParsed, granularity);
                     }
                     else{
@@ -120,7 +120,7 @@
                 }
             }
         }
-        else if(reportName.toLowerCase().equals("ir1")){
+        else if(reportName.equalsIgnoreCase("ir1")){
             if (!itemid.equals("-1") && !repoid.equals("-1") && beginDateParsed != null && endDateParsed != null && beginDateParsed.before(endDateParsed)) {
                 if (!itemid.equals("")) {
                         executeItem(reportItems, itemIdentifier, repoid, itemDataType, beginDateParsed, endDateParsed, granularity);
@@ -133,7 +133,7 @@
                 }
             }
         }
-        else if(reportName.toLowerCase().equals("rr1")){
+        else if(reportName.equalsIgnoreCase("rr1")){
             if(!repoid.equals("-1") && beginDateParsed != null && endDateParsed != null && beginDateParsed.before(endDateParsed)){
                 executeRepo(reportItems, repoid, itemDataType, beginDateParsed, endDateParsed, granularity);
             }
Index: modules/dnet-openaire-usage-stats-api/src/main/java/eu/dnetlib/usagestats/sushilite/Customer.java
===================================================================
--- modules/dnet-openaire-usage-stats-api/src/main/java/eu/dnetlib/usagestats/sushilite/Customer.java	(revision 47126)
+++ modules/dnet-openaire-usage-stats-api/src/main/java/eu/dnetlib/usagestats/sushilite/Customer.java	(revision 47127)
@@ -52,10 +52,9 @@
 
     @JsonProperty("ReportItems")
     public List<ReportItem> getReportItems() {
-        if(!reportItems.isEmpty())
+        if (!reportItems.isEmpty()) {
             return reportItems;
+        }
         return null;
     }
-
-
 }
Index: modules/dnet-openaire-usage-stats-api
===================================================================
--- modules/dnet-openaire-usage-stats-api	(revision 47126)
+++ modules/dnet-openaire-usage-stats-api	(revision 47127)

Property changes on: modules/dnet-openaire-usage-stats-api
___________________________________________________________________
Added: svn:ignore
## -0,0 +1,3 ##
+target
+*.iml
+*.idea